List Events
curl --request GET \
--url https://app.sphinxhq.com/api/events/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/events/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/events/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/events/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/events/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/events/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"case_id": 123,
"check_id": 123,
"text": "<string>",
"created_by": "jsmith@example.com",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_type": "COMMENT",
"previous_value": "<string>",
"new_value": "<string>"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Events
List Events
List all events
GET
/
api
/
events
/
List Events
curl --request GET \
--url https://app.sphinxhq.com/api/events/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/events/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/events/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/events/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/events/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/events/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"case_id": 123,
"check_id": 123,
"text": "<string>",
"created_by": "jsmith@example.com",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_type": "COMMENT",
"previous_value": "<string>",
"new_value": "<string>"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Authorizations
OAuthTokentokenAuthtokenAuth
OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.
Query Parameters
Filter by case ID. Returns case-level events plus events on the case's checks.
Filter by check ID
Filter by event type
Available options:
ASSIGNMENT_CHANGE, CASE_ESCALATION, CASE_OUTCOME_CHANGE, CASE_RERUN, CASE_STATUS_CHANGE, CHECK_OUTCOME_CHANGE, CHECK_RERUN, COMMENT, CUSTOMER_NAME_CHANGE, DOCUMENT_DELETE, DOCUMENT_UPLOAD, DOC_FRAUD_DISPUTE, NOTE_EDIT, REASONING_EDIT, RISK_LEVEL_CHANGE, SAR_APPROVED, SAR_ASSIGNMENT_CHG, SAR_FEEDBACK, SAR_GENERATED, SAR_REJECTED, SAR_REVOKE_APPROVAL, SAR_SUBMITTED A page number within the paginated result set.
Number of results to return per page.
Only events updated at or after this ISO 8601 timestamp. Comments are editable, so poll on updated_at.
Only events updated at or before this ISO 8601 timestamp
Was this page helpful?

